d3.csv('https://gist.githubusercontent.com/eravellisaimeghana/9a7aa1216624c57000794c17c3638628/raw/45ef9e490c7373d7a5919fa373cf45008374e6d3/maggi.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_length'),
	mode: 'markers',
	marker: {
		size: 12,
    color:"black",
		line: {
		color: 'rgba(219, 219, 219, 0.15)',
		width: 0.6},
		opacity: 0.9},
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1
  },
	scene: {
		xaxis:{title: 'sepal_length'},
		yaxis:{title: 'sepal_width'},
		zaxis:{title: 'Z AXIS TITLE'},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
